# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "byokey-daemon"
version = "0.6.0"
authors = ["AprilNEA <github@sku.moe>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Bring Your Own Keys — AI subscription-to-API proxy gateway"
homepage = "https://github.com/AprilNEA/BYOKEY"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/AprilNEA/BYOKEY"
resolver = "2"

[lib]
name = "byokey_daemon"
path = "src/lib.rs"

[dependencies.thiserror]
version = "2"

[lints.clippy]
pedantic = "warn"

[lints.rust]
unsafe_code = "forbid"
